



<!DOCTYPE html><html lang=zh-CN><head><meta http-equiv="Content-Type" content="text/html; charset=utf-8" /><meta http-equiv="X-UA-Compatible" content="IE=edge,chrome=1"><meta name="applicable-device" content="pc,mobile"><meta name="renderer" content="webkit"><meta name="viewport" content="width=device-width,initial-scale=1.0,maximum-scale=5,viewport-fit=cover">
<title>2019-04-15 Python之利用matplotlib和numpy的简单绘图</title>	
<script src="//n4.ikafan.com/assets/run_prettify.js?ac"></script>
<link rel="stylesheet" href="//n4.ikafan.com/assetsg/style.css">
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/fontello.css?ac"> -->
<!-- <link rel="stylesheet" href="//pic.ikafan.com/staticx/shuzhiduo/1/css.grace/animation.css?ac"> -->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>
<script src="https://n4.ikafan.com/g/show.js"></script>

</head>
<div id="header" class="navbar navbar-default navbar-fixed-top header-01">
	<div class="container">
		<h1 class="logo">
			<a  href="/" title="巴特西"/>
							巴特西
			</a>
		</h1>
				<div role="navigation"  class="site-nav  primary-menu">
			<div class="menu-fix-box">
				 <ul id="menu-navigation" class="menu" >
<li><a href="/">首页</a></li>
<!-- <li><a href="/search/Hadoop/">Hadoop</a></li>
<li><a href="/search/Linux/">Linux</a></li>
<li><a href="/search/jQuery/">jQuery</a></li> -->
<li><a href="/search/Python/">Python</a></li>
<li><a href="/search/Java/">Java</a></li>
<li><a href="/search/PHP/">PHP</a></li>
<li><a href="/search/IOS/">IOS</a></li>
<li><a href="/search/Andorid/">Andorid</a></li>
<li><a href="/search/NodeJS/">NodeJS</a></li>
<li><a href="/search/JavaScript/">JavaScript</a></li>
<li><a href="/search/HTML5/">HTML5</a></li>
				</ul>					 			
			</div>
		</div>
				<!--<div class="right-nav">
				<button class="js-toggle-search"><i class="icon-search"></i></button>
		</div>-->
       
			</div>	
</div>

<div id="page-content">
	<div class="container">
		<div class="row">
			
			<div class="blog-post">
								<!--<div class="posts-top-cjtz clearfix"></div>-->
								<div class="post">
										<div class="post-title">
											<div id="title_top"></div>
<script>insertAdIfNeeded();</script>
						<h1 class="title">2019-04-15 Python之利用matplotlib和numpy的简单绘图</h1>
						<div class="post_icon">
							<span class="icon-clock-1"> 2024-01-28 22:42:42 </span>
						</div>
										<div class="post-content">
													<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
											
		<p>环境：win10家庭版， Anocada的 Spyder</p>
<p>一.简单使用</p>
<p>使用函数 plt.polt(x,y,label,color,width) 根据x，y 数组 绘制直，曲线</p>
<div>
<pre class="prettyprint linenums">import numpy as np               #引用numpy库，从新命名它为np（以后用np代替numpy，简洁）<br />
import matplotlib.pyplot as plt<br />
import matplotlib

x = np.linspace(0,6,100)    #在【0，6】平均分为100个<br />print(x)   #输出查看一下x内容<br />
y = np.cos(2*np.pi*x) * np.exp(-x) + 0.8   #调用np库里的cos函数<br />print(y)  #输出Y查看一下内容<br />plt.plot(x,y,'k',color='r',linewidth=3,linestyle="-") color='r'代表红色<br />
plt.show() #展示绘图</pre>
</div>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1623092/201904/1623092-20190415112056567-1968244664.png" /></p>
<p>二.</p>
<div>
<pre class="prettyprint linenums">import numpy as np<br />
import matplotlib.pyplot as plt<br />
import matplotlib

matplotlib.rcParams['font.family'] = 'SimHei'       #为了正确显示中文字体，设置SimHei为默认字体<br />
matplotlib.rcParams['font.sans-serif'] = ['SimHei']  #备选方案，防止上面一条命令无效<br />
plt.plot([0,0.5,2,4],[0,99,2,3])　　　　#定义x，y坐标（0，0），（0.5，99）....<br />
plt.title("14-Kind")    #编写标题<br />
plt.show()</pre>
</div>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1623092/201904/1623092-20190415112449566-1614090168.png" /></p>
<p>三.</p>
<div>
<pre class="prettyprint linenums">import numpy as np<br />
import matplotlib.pyplot as plt<br />
import matplotlib

x = np.linspace(0,10,10) #在【0，10】内分隔100<br />
print(x)<br />
y = np.cos(2*np.pi*x) * np.exp(-x) + 0.8<br />
print(y)<br />
plt.plot(x,y,'k',color = 'r', label="$y-x$",linewidth=3)  #label左上角显示内容，详情看图片<br />
plt.axis([0,6,0,1.8])       #x在【0，6】，y在【0，1.8】<br />
ix = (x&gt;1) &amp; (x&lt;5)　　　　　　#设置显示颜色范围<br />
#加阴影 alpha(颜色深度)<br />
plt.fill_between(x,y,0,where = ix,\<br />
                 facecolor = 'blue',alpha=0.6)<br />
plt.xlabel('时间(s)')<br />
plt.ylabel('路程(km)')<br />
plt.text(0.5 * (0.8+3),0.2 ,r"$\int_a^b f(x)\mathrm{d}x$",\<br />
         horizontalalignment='center')<br />
plt.title("14-Kind")<br />
plt.legend()<br />
plt.show()</pre>
</div>
<p><img referrerpolicy="no-referrer"src="https://img2018.cnblogs.com/blog/1623092/201904/1623092-20190415112817972-1791542421.png" /></p>												<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
																
<h2>最新文章</h2>	
<ol>
						<li><a href="https://www.batexi.com/a/jqdeep79.html">Atitit ftp原理与解决方案</a>
		</li>
						<li><a href="https://www.batexi.com/a/r8mre229.html">那些年我们一起过的JS闭包，作用域，this，让我们一起划上完美的句号。</a>
		</li>
						<li><a href="https://www.batexi.com/a/g8exrozq.html">组合使用css选择器</a>
		</li>
						<li><a href="https://www.batexi.com/a/9rgzrne8.html">Python获取当地的天气和随意城市的天气</a>
		</li>
						<li><a href="https://www.batexi.com/a/90mdy4n8.html">【读书笔记】C Primer Plus ch&period;15位运算 示例程序15&period;1 整数转换成二进制字符串</a>
		</li>
						<li><a href="https://www.batexi.com/a/q1kjp349.html">call by value or reference &quest;</a>
		</li>
						<li><a href="https://www.batexi.com/a/qy15mpgq.html">Mysql数据库存储emoji表情</a>
		</li>
						<li><a href="https://www.batexi.com/a/8kp3j6r9.html">luo3372线段树模板的分块做法</a>
		</li>
						<li><a href="https://www.batexi.com/a/9gjrdle9.html">input中用中文输入法下的全角&amp;&num;183&semi;替换英文输入法下的句号&period;</a>
		</li>
						<li><a href="https://www.batexi.com/a/8m25v16q.html">牛客练习赛41 B-666RPG</a>
		</li>
						<li><a href="https://www.batexi.com/a/93wmxezq.html">java小程序（课堂作业02）</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o173rlq.html">java并发里的一些基础概念</a>
		</li>
						<li><a href="https://www.batexi.com/a/953xep68.html">TFC2017 腾讯Web前端大会参会小结</a>
		</li>
						<li><a href="https://www.batexi.com/a/q4pz330q.html">HTML 5 &amp;lt&semi;script&amp;gt&semi; async 属性简单设置代码异步执行</a>
		</li>
						<li><a href="https://www.batexi.com/a/8zky3e38.html">倒计时实现两种方法-NSTimer&sol;GCD</a>
		</li>
						<li><a href="https://www.batexi.com/a/8o4yowpq.html">Codeforces Round &num;456 &lpar;Div&period; 2&rpar;  B&period; New Year&amp;&num;39&semi;s Eve</a>
		</li>
						<li><a href="https://www.batexi.com/a/q7edk4j9.html">MySQL 5&period;6  在线主从复制</a>
		</li>
						<li><a href="https://www.batexi.com/a/ql1wzkx9.html">980&period; Unique Paths III</a>
		</li>
						<li><a href="https://www.batexi.com/a/ql12l269.html">帝吧fb出征是什么原因？帝吧fb出征事情始末  帝吧出征FB打&OpenCurlyDoubleQuote;台独&rdquo; 台湾网民崩溃：巨人之墙爆了</a>
		</li>
						<li><a href="https://www.batexi.com/a/96mjz338.html">C语言string&period;h常用函数总结</a>
		</li>
		</ol>
	

<h2>热门文章</h2>	
<ol>
									<li><a href="https://www.batexi.com/a/q2jrp338.html">【batch】命令对比两个文件夹下的文件（增删改的对比）</a>
			</li>
						<li><a href="https://www.batexi.com/a/q2jrp6v8.html">ionic3 国际化 转义 html</a>
			</li>
						<li><a href="https://www.batexi.com/a/q7z46lj9.html">javac编译后运行提示找不到或无法加载主类</a>
			</li>
						<li><a href="https://www.batexi.com/a/93y50kr8.html">03&period;Regression</a>
			</li>
						<li><a href="https://www.batexi.com/a/90mwvvj8.html">微信小程序--家庭记账本开发--03</a>
			</li>
						<li><a href="https://www.batexi.com/a/qy1ed1dq.html">反素数ant HYSBZ - 1053（数学&plus;dfs）</a>
			</li>
						<li><a href="https://www.batexi.com/a/9505x3z8.html">Codeforces 455A Boredom &lpar;线性DP&rpar;</a>
			</li>
						<li><a href="https://www.batexi.com/a/q4zez6j9.html">PBRT笔记&lpar;5&rpar;&mdash;&mdash;相机模型</a>
			</li>
						<li><a href="https://www.batexi.com/a/8meoeorq.html">DWM1000 测距原理简单分析 之 SS-TWR代码分析1 -- &lbrack;蓝点无限&rsqb;</a>
			</li>
						<li><a href="https://www.batexi.com/a/90mwrjj8.html">C&num; Winform控件 -  Form</a>
			</li>
			</ol>			
							
					</div>

					
<div class="next-prev-posts clearfix">
</div>
						 
				</div>
				
	<div class="clear"></div>

			</div>	
			

		</div>
</div>
</div>


<div class="clearfix"></div>
<div id="footer" class="two-s-footer">
	<div class="footer-box">
		<div class="container">
			<div class="row" style="padding-left: 15px;padding-right: 15px;">
			<div class="nav-footer">
				<a href="/">Home</a>
				</div>
				<div class="copyright-footer">
					<p>Powered By WordPress</p>
				</div>
							</div>
		</div>
	</div>
</div>
<div style="display:none">

</div>
<script src="//n4.ikafan.com/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
 </script>
</body>
</html>
